aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-class-load/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:14:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 16:14:03 +0000
commite8fca5f22e1e7c96ae082e76a67e2fc3a87ff2a5 (patch)
tree932598aeb77dd3585a7fa4325e80f7ec719c96a1 /testing/perl-class-load/APKBUILD
parent548e198e5bf23faf18ece5ef9a5486e11989d0aa (diff)
downloadaports-e8fca5f22e1e7c96ae082e76a67e2fc3a87ff2a5.tar.gz
aports-e8fca5f22e1e7c96ae082e76a67e2fc3a87ff2a5.tar.bz2
aports-e8fca5f22e1e7c96ae082e76a67e2fc3a87ff2a5.tar.xz
testing/perl-class-load: new aport
Class::Load perl module http://search.cpan.org/dist/Class-Load/
Diffstat (limited to 'testing/perl-class-load/APKBUILD')
-rw-r--r--testing/perl-class-load/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-class-load/APKBUILD b/testing/perl-class-load/APKBUILD
new file mode 100644
index 0000000000..0591ca7763
--- /dev/null
+++ b/testing/perl-class-load/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-class-load
+pkgver=0.06
+pkgrel=0
+pkgdesc="Class::Load perl module"
+url="http://search.cpan.org/dist/Class-Load/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-test-fatal"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/Class-Load-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Class-Load-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="5aea2e7c66e69dafdbfedc00e93f9f46 Class-Load-0.06.tar.gz"